%global momorel 1
%global md5sum_src0 4144b2cf05e381e89fed066793e3b249

Summary: GNOME CUPS Manager
Name: gnome-cups-manager

Version: 0.31
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.31/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: samba-common >= 3.0.23d
BuildPrereq: glib2-devel >= 2.12.9
BuildPrereq: libgnomeui-devel >= 2.17.91
BuildPrereq: libgnome-devel >= 2.17.91
BuildPrereq: libglade2-devel >= 2.6.0
BuildPrereq: libbonobo-devel >= 2.17.91
BuildPrereq: libgnomecups-devel >= 0.2.2
BuildPrereq: gnome-keyring-devel >= 0.7.91
BuildPrereq: gtk2-devel >= 2.10.9

%description
GNOME CUPS Manager

%package devel
Summary: GNOME CUPS Manager devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
GNOME CUPS Manager devel

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/gnome-cups-*
%{_sbindir}/gnome-cups-switch
%{_libdir}/libgnomecupsui-1.0.so.*
%{_libdir}/bonobo/servers/Gnome_CupsManager.server
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/devices/*.png
%{_datadir}/icons/hicolor/*/stock/data/*.png
%{_datadir}/pixmaps/%{name}/*.png

%files devel
%defattr(-, root, root)
%{_includedir}/libgnomecups-1/libgnomecups/*.h
%{_libdir}/libgnomecupsui-1.0.a
%{_libdir}/libgnomecupsui-1.0.so
%{_libdir}/pkgconfig/libgnomecupsui-1.0.pc

%changelog
* Fri Feb 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.31-1m)
- initial build
